PLaSK library

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
plask::optical::modal::LevelsAdapterRectangular< dim > Struct Template Reference

More efficient Rectangular implementation of the level adapter. More...

`#include <solvers/optical/modal/meshadapter.hpp>`

Inheritance diagram for plask::optical::modal::LevelsAdapterRectangular< dim >:
[legend]
Collaboration diagram for plask::optical::modal::LevelsAdapterRectangular< dim >:
[legend]

## Classes
struct | Mesh
struct | RectangularLevel

## Public Member Functions
| LevelsAdapterRectangular (shared_ptr< const RectangularMesh< dim > > src)
shared_ptr< typename LevelsAdapter::Level > | yield () override
shared_ptr< LevelsAdapter::Level > | yield ()
shared_ptr< LevelsAdapter::Level > | yield ()
Public Member Functions inherited from plask::optical::modal::LevelsAdapter
virtual | ~LevelsAdapter ()

## Public Attributes
shared_ptr< const RectangularMesh< dim > > | src
| Original mesh.
size_t | idx
| Index of a current level.

## Detailed Description

template<int dim>
struct plask::optical::modal::LevelsAdapterRectangular< dim >

More efficient Rectangular implementation of the level adapter.

Definition at line 118 of file meshadapter.hpp.

## Constructor & Destructor Documentation

## ◆ LevelsAdapterRectangular()

template<int dim>

plask::optical::modal::LevelsAdapterRectangular< dim >::LevelsAdapterRectangular | ( | shared_ptr< const RectangularMesh< dim > > | src | ) |
| inline

Definition at line 154 of file meshadapter.hpp.

## Member Function Documentation

## ◆ yield() [1/3]

shared_ptr< LevelsAdapter::Level > plask::optical::modal::LevelsAdapterRectangular< 2 >::yield | ( |  | ) |
| virtual

Implements plask::optical::modal::LevelsAdapter.

Definition at line 25 of file meshadapter.cpp.

## ◆ yield() [2/3]

shared_ptr< LevelsAdapter::Level > plask::optical::modal::LevelsAdapterRectangular< 3 >::yield | ( |  | ) |
| virtual

Implements plask::optical::modal::LevelsAdapter.

Definition at line 30 of file meshadapter.cpp.

## ◆ yield() [3/3]

template<int dim>

shared_ptr< typename LevelsAdapter::Level > plask::optical::modal::LevelsAdapterRectangular< dim >::yield | ( |  | ) |
| override virtual

Implements plask::optical::modal::LevelsAdapter.

## Member Data Documentation

## ◆ idx

template<int dim>

size_t plask::optical::modal::LevelsAdapterRectangular< dim >::idx

Index of a current level.

Definition at line 152 of file meshadapter.hpp.

## ◆ src

template<int dim>

shared_ptr<const RectangularMesh<dim> > plask::optical::modal::LevelsAdapterRectangular< dim >::src

Original mesh.

Definition at line 149 of file meshadapter.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/modal/meshadapter.hpp